Name:		libswd
Version:	0.4
Release:	1%{?dist}
Summary:	Library providing SWD access to ARM Cortex CPUs
URL:		http://sourceforge.net/apps/trac/libswd

Source0:	http://downloads.sourceforge.net/libswd/libswd-%{version}.tar.gz

License:	BSD and ISC and Copyright only and Public Domain
Group:		System Environment/Libraries

BuildRequires:	doxygen graphviz

%description
LibSWD is an open solution for accessing the SW-DP (Serial Wire Debug
Port) on ARM Cortex CPU based embedded systems.  SWD is an alternative
to JTAG method for accessing the DAP that allows low-level access to
system resources such as system bus, memory, IO, even single stepping
the code execution.

LibSWD implements all utilities necessary to generate bit stream and
queue bus operations on both high (operation) and low (bit)
abstraction level. High level functions can be called from external
application to generate queue that represent bus operations or simply
produce a bitstream that can be later flushed into real hardware with
simple set of function.

%package devel
Summary:	Development files for libswd
Group:		Development/Libraries
Requires:	libswd = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for the libswd library.

%package doc
Summary:	Documentation for libswd (HTML and PDF)
Group:		Development/Libraries
BuildArch:	noarch

%description doc
Documentation for the libswd library, in HTML and PDF formats.


%prep
%setup -q

%configure

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} \
     install

# don't want static library or libtool archive
rm %{buildroot}%{_libdir}/%{name}.a
rm %{buildroot}%{_libdir}/%{name}.la

# The following don't need to be "installed" in the buildroot, as they
# are handled by doc directives in the files sections.
rm %{buildroot}/usr/share/%{name}/{COPYING,ChangeLog,NEWS,README}

make doxygen-doc
mv doxygen-doc/html .
mv doxygen-doc/%{name}.pdf .

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README NEWS ChangeLog
%{_libdir}/%{name}.so.*

%files devel
%doc TODO
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so

%files doc
%doc html
%doc %{name}.pdf

%changelog
* Wed Nov 14 2012 Eric Smith <eric@brouhaha.com> - 0.4-1
- initial version
